<?php
error_reporting(0);
$k=trim($_GET['k']); include("key.php");
$d=rawurldecode(trim($_GET['d'])); $n=rawurldecode(trim($_GET['n']));
if ($d==NULL) {$d="";} if ($n==NULL) {$n="";}
$rd=rawurlencode($d); $rn=rawurlencode($n);
$d=str_replace(".|htaccess",".htaccess",$d);
$n=str_replace(".|htaccess",".htaccess",$n);
include "includes/header.php";

if (($ftp=@ftp_connect($sr))&&(@ftp_login($ftp,$lg,$ps))) {
 @ftp_pasv($ftp,true); $links="";
 ftp_chdir($ftp,$d."/".$n); $curd=ftp_pwd($ftp);
 if ($curd<>"/") {
  $back=preg_replace("~(.*)/[^/]*~m","\\1",$curd);
  $back=str_replace(".htaccess",".|htaccess",$back);
 }
 include("flist.php"); $fls=flist($ftp,$curd,$k);
 @ftp_close($ftp);

 $p=trim($_GET['p']); $cnt=count($fls);
 $v=$skl; if (($v<1)||($v>100)) {$v=15;} $allp=ceil($cnt/$v);
 if (($p==NULL)||($p==0)) {$p=1;} elseif ($p>$allp) {$p=$allp;}
 $begin=$p*$v-$v; if ($begin>$cnt) {$begin=0;}
 $end=$begin+$v; if ($end>$cnt) {$end=$cnt;}
 for ($i=$begin;$i<$end;$i++) {$links.=$fls[$i]."<br/>\r\n";} $bl="";
 if($links==NULL){$links="папка пуста";}
 if ($p>1) {$v=$p-1; $bl='<a href="ftp.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;p='.$v.'">&laquo;Назад</a>';}
 if ($allp>$p) {$v=$p+1; $b2='<a href="ftp.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;p='.$v.'">Вперед&raquo;</a>';}
 
 if ($p>1 and $allp>$p) {$ppb2=' | ';}
 
 if ($bl<>NULL || $b2<>NULL) {$b3='<div class="box_2">Страница: <b>'.$p.'</b> из <b>'.$allp.'</b><br/>
<b>'.$bl.'</b>'.$ppb2.'<b>'.$b2.'</b>
<form action="ftp.php" method="get"> 
<input name="p" type="text" format="*N" size="2" value="'.$p.'"/>
<input type="hidden" name="k" value="'.$k.'"/>
<input type="hidden" name="d" value="'.$rd.'"/>
<input type="hidden" name="n" value="'.$rn.'"/>
<input type="submit" value="&laquo; &raquo;"></form></div>';}
$d=str_replace("\$","\$\$",$d); $n=str_replace("\$","\$\$",$n);
$curd=str_replace("\$","\$\$",$curd); $links=str_replace("\$","\$\$",$links);
if ($ib==1) {
if ($curd<>"/") {
$icn1='<img src="icons/up.png" alt="Вверх"/>';
}
$icn2='<img src="icons/go.png" alt="Перейти"/>';
$icn3='<img src="icons/faq.png" alt="FAQ"/>';
$icn4='<img src="icons/out.png" alt="Выход"/>';
} else {
if ($curd<>"/") {
$icn1='Вверх';
}
$icn2='Перейти';
$icn3='FAQ';
$icn4='Выход';
}
echo '<div class="title_page"><a href="ftp.php?k='.$k.'&amp;d='.$back.'">'.$icn1.'</a>  <a href="'.$dftp.'/go.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">'.$icn2.'</a>  <a href="'.$dftp.'/faq.php">'.$icn3.'</a>  <a href="'.$dftp.'/exit.php?k='.$k.'">'.$icn4.'</a></div>';
echo '<div class="box_2">Папка: <b>'.$curd.'</b></div>';
echo '<div class="box_1">'.$links.'</div>'.$b3.'';
if ($curd<>"/") {
echo'<div class="title_page">В список:</div>
<div class="box_1">&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=copy&amp;t=d&amp;go=1">Копирования</a></div>
<div class="box_2">&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=cut&amp;t=d&amp;go=1">Перемещения</a></div>
<div class="title_page">С папкой:</div>
<div class="box_1">&raquo; <a href="arhdir.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Архивировать</a></div>
<div class="box_2">&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=mv&amp;t=d">Переместить</a></div>
<div class="box_1">&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=ren&amp;t=d">Переименовать</a></div>
<div class="box_2">&raquo; <a href="actn.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'&amp;ac=delf">Удалить</a></div>';
}
echo '<div class="title_page">Действие:</div>
<div class="box_1">&raquo; <a href="create.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Создать</a></div>
<div class="box_2">&raquo; <a href="list.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Список</a></div>
<div class="box_1">&raquo; <a href="import.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Импорт</a></div>
<div class="box_2">&raquo; <a href="upload.php?k='.$k.'&amp;d='.$rd.'&amp;n='.$rn.'">Upload</a></div>';
} else {
echo '<div class="box_1">
Нет соединения с сервером</div>
<div class="title_page"><a href="index.php">Главная</a></div>';
}


include "includes/footer.php";
?>